Bug 362662 - Unable to see marching ants (selection) with grid enabled
Summary: Unable to see marching ants (selection) with grid enabled
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 3.0 Beta
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: https://youtu.be/PgHeeTIheJE
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-04 12:21 UTC by Daniel
Modified: 2018-09-07 14:25 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2016-05-04 12:21:39 UTC
Please see the video (URL) for a short (<1 minute) video on my problem.

Basically, if I make a rectangular selection when I have the grid on, and it's on the same lines as the grid (e.g. with snap enabled), then the marching ants (and therefore your selection) will not be visible as they share the same colour as the grid lines.

It's just an annoyance I have noticed that ideally should be fixed - perhaps by simply changing the colours of the grid background to a lighter grey (not unlike how Photoshop does it)?

Reproducible: Always
Comment 1 wolthera 2016-05-04 14:47:19 UTC
Well, you can configure the grid color and transparency in the grid/guides docker.

Perhaps though, the grid should be painted before the selection decoration, so that the later is on top.
Comment 2 Halla Rempt 2016-05-05 07:15:35 UTC
I also guess that by default we can have different colors?
Comment 3 eliotJ 2016-05-15 21:43:30 UTC
Hi

It's also exists in Krita v2.9.11. It's not a regression in 3.0.

But I also have noticed, Imho, important behavior of this bug: It appears mainly while recreating it with enabled OpenGL... For example, on disabled OpenGL (100% zoom view) lines of Grid are thicker, compared to enabled OpenGL the same situation...

I tested on: Windows 7 64bit, Nvidia GPU.
Comment 4 Dmitry Kazakov 2018-09-06 13:29:53 UTC
Git commit 65a1598cd30562fe4c759925d61420d1ea77a11e by Dmitry Kazakov.
Committed on 06/09/2018 at 13:29.
Pushed by dkazakov into branch 'master'.

Fix painting of selection decoration over grids

Implement a priority API for the decoration and make
selections be painted on the top of everything :)

M  +16   -0    libs/ui/canvas/kis_canvas_decoration.cc
M  +15   -0    libs/ui/canvas/kis_canvas_decoration.h
M  +2    -0    libs/ui/canvas/kis_canvas_widget_base.cpp
M  +1    -1    libs/ui/canvas/kis_grid_decoration.cpp
M  +1    -0    libs/ui/canvas/kis_guides_decoration.cpp
M  +1    -0    libs/ui/kis_painting_assistants_decoration.cpp
M  +3    -0    libs/ui/kis_selection_decoration.cc

https://commits.kde.org/krita/65a1598cd30562fe4c759925d61420d1ea77a11e
Comment 5 Halla Rempt 2018-09-07 14:25:23 UTC
Git commit 71439df0446c9982e57961701d4b293820ed118e by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 07/09/2018 at 13:04.
Pushed by rempt into branch 'krita/4.1'.

Fix painting of selection decoration over grids

Implement a priority API for the decoration and make
selections be painted on the top of everything :)

M  +16   -0    libs/ui/canvas/kis_canvas_decoration.cc
M  +15   -0    libs/ui/canvas/kis_canvas_decoration.h
M  +2    -0    libs/ui/canvas/kis_canvas_widget_base.cpp
M  +1    -1    libs/ui/canvas/kis_grid_decoration.cpp
M  +1    -0    libs/ui/canvas/kis_guides_decoration.cpp
M  +1    -0    libs/ui/kis_painting_assistants_decoration.cpp
M  +3    -0    libs/ui/kis_selection_decoration.cc

https://commits.kde.org/krita/71439df0446c9982e57961701d4b293820ed118e